Cyberduck Mountain Duck CLI

#7970 closed enhancement (fixed)

Preference to hide regions

Reported by: devendran Owned by: dkocher
Priority: low Milestone: 4.5.2
Component: openstack Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Currently if you have multiple region for Swift, all the containers will displayed accordingly from their region. This is great, but for a global cluster, the multiple endpoints (region) actually points to a single container.

So you end up having the same container displayed multiple times. Having an option to hide other regions or show only one will be helpful and avoid confusion.

Thanks, Devendran

Attachments (3)

screen1.png (380.5 KB) - added by devendran on May 22, 2014 at 11:50:54 PM.
screen2.png (388.6 KB) - added by devendran on May 22, 2014 at 11:51:36 PM.
Rackspace US (Chicago).cyberduckprofile (98.6 KB) - added by dkocher on Aug 21, 2014 at 1:28:23 PM.
Sample Rackspace Profile with only ORD enabled

Download all attachments as: .zip

Change History (10)

comment:1 Changed on May 21, 2014 at 7:41:16 PM by dkocher

  • Component changed from core to openstack
  • Owner set to dkocher
  • Priority changed from normal to low
  • Summary changed from Options to hid region for Openstack Swift Global Cluster to Preference to hide regions

comment:2 in reply to: ↑ description Changed on May 21, 2014 at 7:41:43 PM by dkocher

Replying to devendran:

This is great, but for a global cluster, the multiple endpoints (region) actually points to a single container.

Is it possible to detect such an environment?

Changed on May 22, 2014 at 11:50:54 PM by devendran

Changed on May 22, 2014 at 11:51:36 PM by devendran

comment:3 follow-up: Changed on May 23, 2014 at 12:53:53 AM by devendran

I have attached two screenshot, screenshot one is where both of the region are shown before uploading and second after uploading where it displays in both region but the copies are the same.

Unfortunately, it's not possible to know if a swift with multiple endpoints are actually a global cluster unless the user themselves know.

With keystone as the authentication method, any endpoint registered will be provided to swift. I am wondering if another key and string can be added to keystone cyberduck profile e.g <key>Region Placeholder</key> <string>region</string>

which than only limits one endpoint if there user puts region

Thanks, Devendran

comment:4 in reply to: ↑ 3 Changed on May 23, 2014 at 8:40:17 PM by dkocher

Replying to devendran:

I am wondering if another key and string can be added to keystone cyberduck profile e.g <key>Region Placeholder</key> <string>region</string>

which than only limits one endpoint if there user puts region

That is a good suggestion.

comment:5 Changed on Aug 21, 2014 at 1:12:11 PM by dkocher

  • Milestone set to 4.5.2
  • Resolution set to fixed
  • Status changed from new to closed

In r15052. Use Region as a key in the profile. Attached a sample profile with only ORD enabled for Rackspace US.

comment:6 Changed on Aug 21, 2014 at 1:27:56 PM by dkocher

Test in r15053.

Changed on Aug 21, 2014 at 1:28:23 PM by dkocher

Sample Rackspace Profile with only ORD enabled

comment:7 Changed on Aug 21, 2014 at 10:54:08 PM by devendran

Excellent, it's working fine with Region option.

Thanks, Devendran

Note: See TracTickets for help on using tickets.
swiss made software